environment-slurm-ds.yml 2.5 KB
Newer Older
1
2
3
4
name: slurm-ds
channels:
  - defaults
dependencies:
5
6
7
8
9
10
11
12
  - _libgcc_mutex=0.1=main
  - ca-certificates=2020.1.1=0
  - certifi=2019.11.28=py38_0
  - ld_impl_linux-64=2.33.1=h53a641e_7
  - libedit=3.1.20181209=hc058e9b_0
  - libffi=3.2.1=hd88cf55_4
  - libgcc-ng=9.1.0=hdf63c60_0
  - libstdcxx-ng=9.1.0=hdf63c60_0
13
  - ncurses=6.2=he6710b0_0
14
15
16
17
18
19
20
21
22
23
  - openssl=1.1.1e=h7b6447c_0
  - pip=20.0.2=py38_1
  - python=3.8.1=h0371630_1
  - readline=7.0=h7b6447c_5
  - setuptools=46.0.0=py38_0
  - sqlite=3.31.1=h7b6447c_0
  - tk=8.6.8=hbc83047_0
  - wheel=0.34.2=py38_0
  - xz=5.2.4=h14c3975_4
  - zlib=1.2.11=h7b6447c_3
24
25
26
27
28
  - pip:
    - astroid==2.3.3
    - astropy==4.0
    - attr==0.3.1
    - attrs==19.3.0
29
    - backcall==0.1.0
30
31
32
33
    - bleach==3.1.3
    - chardet==3.0.4
    - confuse==1.0.0
    - cycler==0.10.0
34
    - decorator==4.4.2
35
    - defusedxml==0.6.0
36
    - entrypoints==0.3
37
38
    - htmlmin==0.1.12
    - idna==2.8
39
40
41
    - ipykernel==5.1.4
    - ipython==7.13.0
    - ipython-genutils==0.2.0
42
43
    - ipywidgets==7.5.1
    - isort==4.3.21
44
    - jedi==0.16.0
45
46
47
    - jinja2==2.11.1
    - joblib==0.14.1
    - jsonschema==3.2.0
48
49
    - jupyter-client==6.1.0
    - jupyter-core==4.6.3
50
51
52
53
54
    - kaggle==1.5.6
    - kiwisolver==1.1.0
    - lazy-object-proxy==1.4.3
    - llvmlite==0.31.0
    - markupsafe==1.1.1
55
    - matplotlib==3.2.1
56
57
58
59
60
61
62
63
64
65
66
67
68
69
    - mccabe==0.6.1
    - missingno==0.4.2
    - mistune==0.8.4
    - more-itertools==8.2.0
    - nbconvert==5.6.1
    - nbformat==5.0.4
    - networkx==2.4
    - notebook==6.0.3
    - numba==0.48.0
    - numpy==1.18.2
    - packaging==20.3
    - pandas==0.25.3
    - pandas-profiling==2.5.0
    - pandocfilters==1.4.2
70
71
    - parso==0.6.2
    - pexpect==4.8.0
72
    - phik==0.9.9
73
    - pickleshare==0.7.5
74
75
    - pluggy==0.13.1
    - prometheus-client==0.7.1
76
77
    - prompt-toolkit==3.0.4
    - ptyprocess==0.6.0
78
    - py==1.8.1
79
    - pygments==2.6.1
80
81
82
83
84
    - pylint==2.4.4
    - pyparsing==2.4.6
    - pyrsistent==0.15.7
    - pytest==5.4.1
    - pytest-pylint==0.15.1
85
    - python-dateutil==2.8.1
86
87
    - python-slugify==4.0.0
    - pytz==2019.3
88
89
    - pyyaml==5.3.1
    - pyzmq==19.0.0
90
91
92
93
    - requests==2.22.0
    - scipy==1.4.1
    - seaborn==0.10.0
    - send2trash==1.5.0
94
    - six==1.14.0
95
96
97
98
99
    - slurm2sql==0.9.0
    - tangled-up-in-unicode==0.0.3
    - terminado==0.8.3
    - testpath==0.4.4
    - text-unidecode==1.3
100
    - tornado==6.0.4
101
    - tqdm==4.42.0
102
103
    - traitlets==4.3.3
    - urllib3==1.24.3
104
    - visions==0.2.2
105
    - wcwidth==0.1.8
106
107
108
109
110
    - webencodings==0.5.1
    - widgetsnbextension==3.5.1
    - wrapt==1.11.2
prefix: /home/user/.conda/envs/slurm-ds